Summary:	Fcitx - Free Chinese Input Toys for X
Name:		fcitx
Version:	4.2.9.9
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Internationalization
URL:		https://fcitx-im.org
Source0:	https://download.fcitx-im.org/fcitx/%{name}-%{version}_dict.tar.xz
BuildRequires:	cmake
BuildRequires:	extra-cmake-modules
BuildRequires:	doxygen
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(xkeyboard-config)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(opencc)
BuildRequires:	wget
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(pango)
BuildRequires:	intltool
BuildRequires:	icu-devel
BuildRequires:	chrpath
BuildRequires:	desktop-file-utils
Requires:	locales-zh
Recommends:	%{name}-gtk = %{version}
Recommends:	%{name}-gtk3 = %{version}
Recommends:	%{name}-configtool

Obsoletes:	fcitx-qt4 < 4.2.9.9-2

%description
%{name} is an X input method allowing people to enter simplified Chinese
characters in X environment following XIM standard.

%package devel
Summary: fcitx development library
Group: Development/C
Requires: %{name} = %{version}
Requires: %{name}-gir = %{version}

%description devel
fcitx development files.

%package gtk
Summary: fcitx gtk module
Group: System/Internationalization
Requires: %{name} = %{version}

%description gtk
fcitx gtk module.

%package gtk3
Summary: fcitx gtk3 module
Group: System/Internationalization
Requires: %{name} = %{version}

%description gtk3
fcitx gtk module.

%package gir
Summary: GObject Introspection interface description for fcitx
Group: System/Libraries
Requires: %{name} = %{version}

%description gir
GObject Introspection interface description for fcitx.

%prep
%autosetup -p1

%build
%cmake \
	-DENABLE_QT=OFF \
	-DENABLE_QT_IM_MODULE=OFF \
	-DENABLE_QT_GUI=OFF \
	-DENABLE_GTK3_IM_MODULE=ON \
	-DCMAKE_SKIP_RPATH=OFF \
	-DENABLE_XDGAUTOSTART=OFF
%cmake_build

%install
%cmake_install

chrpath -d %{buildroot}%{_libdir}/*.so
desktop-file-install --dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

rm -f %{buildroot}%{_sysconfdir}/xdg/autostart/fcitx-autostart.desktop

%find_lang %name

%files -f %name.lang
%doc doc/*.txt doc/*.htm
%exclude /usr/share/doc/fcitx/Develop_Readme
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/org.fcitx.Fcitx.service
%{_datadir}/mime/packages/*.xml
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/*/*/*/*

%files gtk
%{_libdir}/gtk-2.0/*/immodules/im-fcitx.so

%files gtk3
%{_libdir}/gtk-3.0/*/immodules/im-fcitx.so

%files gir
%{_libdir}/girepository-1.0/Fcitx-1.0.typelib

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Fcitx-1.0.gir
%{_datadir}/cmake/%{name}
%{_includedir}/*


%changelog
* Sun Mar 16 2025 wally <wally> 4.2.9.9-3.mga10
+ Revision: 2164780
- rebuild for libxml2 2.13.6

* Sat Feb 04 2023 daviddavid <daviddavid> 4.2.9.9-2.mga9
+ Revision: 1938021
- drop Qt4 support

* Thu Jan 05 2023 daviddavid <daviddavid> 4.2.9.9-1.mga9
+ Revision: 1929985
- new version: 4.2.9.9
- remove merged upstream enchant2 patch

* Tue Apr 05 2022 umeabot <umeabot> 4.2.9.8-3.mga9
+ Revision: 1844300
- Mageia 9 Mass Rebuild

* Mon Nov 30 2020 luigiwalser <luigiwalser> 4.2.9.8-2.mga8
+ Revision: 1650726
- rebuild for json-c

* Thu Nov 19 2020 daviddavid <daviddavid> 4.2.9.8-1.mga8
+ Revision: 1647701
- new version: 4.2.9.8

* Fri Feb 21 2020 daviddavid <daviddavid> 4.2.9.7-1.mga8
+ Revision: 1548814
- new version: 4.2.9.7
- switch to enchant-2

* Sat Feb 15 2020 umeabot <umeabot> 4.2.9.6-5.mga8
+ Revision: 1523583
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 10 2019 wally <wally> 4.2.9.6-4.mga7
+ Revision: 1373730
- drop unneeded post/postun requires

* Sat Dec 29 2018 luigiwalser <luigiwalser> 4.2.9.6-3.mga7
+ Revision: 1346091
- rebuild for icu

* Sun Sep 23 2018 umeabot <umeabot> 4.2.9.6-2.mga7
+ Revision: 1297671
- Mageia 7 Mass Rebuild

* Tue Mar 27 2018 kekepower <kekepower> 4.2.9.6-1.mga7
+ Revision: 1212833
- BR xkeyboard-config
- Update to version 4.2.9.6
- Use new make macros

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 4.2.9.1-4.mga6
+ Revision: 1092692
- Rebuild for icu-58.2

* Sat May 14 2016 shlomif <shlomif> 4.2.9.1-3.mga6
+ Revision: 1015286
- Rebuild for the new UCI (new major)

* Sat May 07 2016 yochenhsieh <yochenhsieh> 4.2.9.1-2.mga6
+ Revision: 1010294
- disable qt-based gui.
- recommends configtool.

* Fri May 06 2016 yochenhsieh <yochenhsieh> 4.2.9.1-1.mga6
+ Revision: 1009943
- version 4.2.9.1

* Sun Feb 14 2016 umeabot <umeabot> 4.2.9-3.mga6
+ Revision: 960058
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 tv <tv> 4.2.9-2.mga6
+ Revision: 894221
- fix build: exclude some doc

* Tue Sep 01 2015 fwang <fwang> 4.2.9-1.mga6
+ Revision: 871783
- add more br
- 4.2.9

* Sat Jul 25 2015 cjw <cjw> 4.2.8.4-6.mga6
+ Revision: 857358
- rebuild for icu 55

* Sun Jun 28 2015 wally <wally> 4.2.8.4-5.mga6
+ Revision: 847178
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 4.2.8.4-4.mga5
+ Revision: 745544
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 4.2.8.4-3.mga5
+ Revision: 731133
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 4.2.8.4-2.mga5
+ Revision: 679110
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 fwang <fwang> 4.2.8.4-1.mga5
+ Revision: 660744
- 4.2.8.4

* Sun Jul 20 2014 colin <colin> 4.2.8.3-5.mga5
+ Revision: 654750
- Drop RPM scripts for immodules (handled by filetriggers)

* Tue May 06 2014 yochenhsieh <yochenhsieh> 4.2.8.3-4.mga5
+ Revision: 620387
- Alter gtk-query-immodules-2.0 command to fix bug 8731.

* Sat Apr 05 2014 wally <wally> 4.2.8.3-3.mga5
+ Revision: 611991
- fix license
- rebuild for new icu

* Tue Oct 22 2013 umeabot <umeabot> 4.2.8.3-2.mga4
+ Revision: 541518
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 fwang <fwang> 4.2.8.3-1.mga4
+ Revision: 496129
- update file list
- new version 4.2.8.3

* Fri Sep 27 2013 fwang <fwang> 4.2.8.1-2.mga4
+ Revision: 487464
- rebuild for icu 52

* Sun Aug 18 2013 fwang <fwang> 4.2.8.1-1.mga4
+ Revision: 467451
- new version 4.2.8.1

* Sun May 26 2013 fwang <fwang> 4.2.7-1.mga4
+ Revision: 428073
- add qt4 immodule
- br qt4
- new version 4.2.7

* Fri Jan 11 2013 umeabot <umeabot> 4.2.6.1-4.mga3
+ Revision: 350078
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 4.2.6.1-3.mga3
+ Revision: 316631
- rebuild for updated icu

* Tue Nov 06 2012 fwang <fwang> 4.2.6.1-2.mga3
+ Revision: 314765
- rebuild for new icu

* Sun Oct 28 2012 fwang <fwang> 4.2.6.1-1.mga3
+ Revision: 311060
- new version 4.2.6.1

* Tue Jul 31 2012 fwang <fwang> 4.2.5-1.mga3
+ Revision: 276455
- drop autostart file
- new version 4.2.5

* Fri Jun 08 2012 fwang <fwang> 4.2.4-1.mga3
+ Revision: 257480
- update file list
- update file list
- br icu
- add more
- add more br
- new version 4.2.4

* Mon Jun 04 2012 fwang <fwang> 4.2.3-1.mga3
+ Revision: 253861
- fix str fmt
- new version 4.2.3

* Mon Mar 05 2012 fwang <fwang> 4.2.0-1.mga2
+ Revision: 218346
- new version 4.2.0

* Wed Oct 12 2011 fwang <fwang> 4.1.2-1.mga2
+ Revision: 154014
- fix desktop file
- update file list
+ tv <tv>
- new release

* Sat Sep 17 2011 fwang <fwang> 4.1.1-1.mga2
+ Revision: 144606
- update file list
- fix chrpath path
- br gtk2
- update file list
- new version 4.1.1

* Thu Mar 24 2011 boklm <boklm> 4.0.1-2.mga1
+ Revision: 76137
- rebuild for bug #497

* Fri Mar 18 2011 tv <tv> 4.0.1-1.mga1
+ Revision: 73715
- imported package fcitx


* Mon Dec 20 2010 Funda Wang <fwang@mandriva.org> 4.0.1-1mdv2011.0
+ Revision: 623234
- new version 4.0.1

* Sun Nov 21 2010 Funda Wang <fwang@mandriva.org> 4.0.0-2mdv2011.0
+ Revision: 599321
- add two upstream patch to fix problems

* Fri Nov 19 2010 Funda Wang <fwang@mandriva.org> 4.0.0-1mdv2011.0
+ Revision: 598900
- new version 4.0.0
- new version 4.0.0

* Fri Feb 19 2010 Funda Wang <fwang@mandriva.org> 3.6.3-1mdv2010.1
+ Revision: 507965
- BR dbus
- new version 3.6.3

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 3.6.2-1mdv2010.1
+ Revision: 460569
- New version 3.6.2

* Mon Oct 05 2009 Funda Wang <fwang@mandriva.org> 3.6.1-2mdv2010.0
+ Revision: 454166
- update to svn trunk
- really use 3.6.1 tarball

* Thu Sep 24 2009 Frederik Himpe <fhimpe@mandriva.org> 3.6.1-1mdv2010.0
+ Revision: 448396
- update to new version 3.6.1

* Sat Jul 11 2009 Funda Wang <fwang@mandriva.org> 3.6.0-1mdv2010.0
+ Revision: 394836
- BR xext
- fix linkage
- new version 3.6.0 final

* Sun Jan 18 2009 Funda Wang <fwang@mandriva.org> 3.6.0-0.rc.1mdv2009.1
+ Revision: 330812
- New version 3.6.0 rc
- rediff winposition patch

* Thu Jun 19 2008 Funda Wang <fwang@mandriva.org> 3.5-2mdv2009.0
+ Revision: 226418
- add patch for -asneeded
- simplify the BR

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 3.5-1mdv2008.1
+ Revision: 136411
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - s/Mandrake/Mandriva/

* Thu Jul 19 2007 Funda Wang <fwang@mandriva.org> 3.5-1mdv2008.0
+ Revision: 53434
- New version

* Fri Jul 06 2007 Funda Wang <fwang@mandriva.org> 3.5-0.070703.1mdv2008.0
+ Revision: 49152
- New version

* Sun Jul 01 2007 Funda Wang <fwang@mandriva.org> 3.5-0.070630.1mdv2008.0
+ Revision: 46417
- New version

* Tue May 29 2007 Funda Wang <fwang@mandriva.org> 3.5-0.070528.1mdv2008.0
+ Revision: 32415
- New snapshot

* Mon May 28 2007 Funda Wang <fwang@mandriva.org> 3.5-0.070527.1mdv2008.0
+ Revision: 31890
- New version

* Mon May 07 2007 Funda Wang <fwang@mandriva.org> 3.5-0.070507.1mdv2008.0
+ Revision: 24113
- New upstream version 070507


* Sat Apr 07 2007 Funda Wang <fundawang@mandriva.org> 3.5-0.070403.1mdv2007.1
+ Revision: 150914
- new version upstream.

* Tue Feb 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 3.5-0.070112.1mdv2007.1
+ Revision: 126467
- Import fcitx

* Fri Feb 23 2007 Funda Wang <fundawang@gmail.com> 3.5-0.070112.1mdv2007.1
- New release

* Mon Aug 28 2006 Funda Wang <fundawang@gmail.com> 3.3-1mdv2007.0
- New release
- Killed patch2,3,4,5 (merged upstream)

* Thu Aug 03 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.2.1-2
- add BuildRequires: gettext-devel

* Sun Jul 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 3.2.1-1mdv2007.0
- fix build requires
- from Funda Wang <fundawang@gmail.com>:
  o new release
  o add patch by wpyh (see http://www.linuxsir.org/bbs/forumdisplay.php?f=42)

* Mon Jun 12 2006 Funda Wang <fundawang@gmail.com> 3.2-1mdv2007.0
- New release 3.2

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 3.1.1-4mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.1.1-3mdk
- Rebuild

* Sun Jul 31 2005 Abel Cheung <deaddog@mandriva.org> 3.1.1-2mdk
- Rebuild to bring it back

* Tue Apr 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.1.1-1mdk
- new release

* Fri Mar 11 2005 Abel Cheung <deaddog@mandrake.org> 3.0.4-2mdk
- Rebuild

* Mon Feb 28 2005 Abel Cheung <deaddog@mandrake.org> 3.0.4-1mdk 
- new release

* Tue Jan 04 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.3-1mdk
- new release
- fix rpmlint warning

* Sat Sep 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.0-1mdk
- new release

* Sun Aug 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.2-1mdk
- new release
- drop patch 0

